'use strict';

const BaseModel = require('./base');

class TemplateTagModel extends BaseModel {
    /**
     * Construct a TemplateTagModel object
     * @method constructor
     * @param  {Object}    config
     * @param  {String}    config.createTime    The time the template tag was created
     * @param  {Object}    config.datastore     Object that will perform operations on the datastore
     * @param  {String}    config.name          The template name
     * @param  {String}    [config.namespace]   The template namespace
     * @param  {String}    config.tag           The template tag (e.g.: 'stable' or 'latest')
     * @param  {String}    config.version       Version of the template
     */
    constructor(config) {
        super('templateTag', config);
    }
}

module.exports = TemplateTagModel;
